package jpos.config;

///////////////////////////////////////////////////////////////////////////////
//
// This software is provided "AS IS".  The JavaPOS working group (including
// each of the Corporate members, contributors and individuals)  MAKES NO
// REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE SOFTWARE,
// EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
// NON-INFRINGEMENT. The JavaPOS working group shall not be liable for
// any damages suffered as a result of using, modifying or distributing this
// software or its derivatives. Permission to use, copy, modify, and distribute
// the software and its documentation for any purpose is hereby granted. 
//
///////////////////////////////////////////////////////////////////////////////

import java.util.*;
import java.io.*;

import jpos.*;
import jpos.test.*;
import jpos.config.simple.*;
import jpos.config.simple.xml.*;
import jpos.config.simple.SimpleEntry;

import junit.framework.*;

/**
 * Super class of all JposRegPopulatorTestCase
 * @author E. Michael Maximilien (maxim@us.ibm.com)
 */
public class AbstractRegPopulatorTestCase extends JposTestCase
{
	//-------------------------------------------------------------------------
	// Ctor(s)
	//

	public AbstractRegPopulatorTestCase( String name ) { super( name ); }

	//-------------------------------------------------------------------------
	// Protected methods
	//

	//-------------------------------------------------------------------------
	// Private methods
	//

	//-------------------------------------------------------------------------
	// Public testXyz methods
	//

	//-------------------------------------------------------------------------
	// Instance variables
	//

	protected JposRegPopulator populator = null;

	//-------------------------------------------------------------------------
	// Class Constants variables
	//
}
